## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

%global _default_patch_fuzz 2

# https://github.com/linuxdeepin/go-gir-generator
%global goipath         github.com/linuxdeepin/go-gir
%global forgeurl        https://github.com/linuxdeepin/go-gir-generator
Version:                2.1.0
%global tag             %{version}

%gometa

%global goname          deepin-gir-generator

%global common_description %{expand:
Generate static golang bindings for GObject.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Generate static golang bindings for GObject

License:        GPLv3
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gudev-1.0)

%if %{with check}
# Tests
BuildRequires:  golang(gopkg.in/check.v1)
%endif
BuildRequires: make

%description
%{common_description}

%prep
%goprep

rm -rf gogtk-demo

find . -name ".gitignore" -delete

# https://github.com/linuxdeepin/developer-center/issues/955
sed -i "s/'Can'tFind'/“Can'tFind”/" lib.in/glib-2.0/keyfile_test.go

%build
export GOPATH="%{gopath}"
export %{gomodulesmode}
%make_build

%install
%make_install
rm -rf lib.in out src test
%gopkginstall
# follow Arch Linux to not include the command
rm %{buildroot}%{_bindir}/gir-generator

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{gopath}/src/github.com/linuxdeepin/

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 2.1.0-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.1.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.1.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> 2.1.0-1
- New release 2.1.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jul 31 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.0.2-10
- Follow Arch 2.0.2-5 to fix FTBFS of startdde and deepin-daemon

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar  5 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.0.2-8
- Apply a patch to fix build of startdde

* Fri Jan 29 2021 Robin Lee <cheeselee@fedoraproject.org> - 2.0.2-7
- Fix build with go 1.16

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Mar  9 2020 Robin Lee <cheeselee@fedoraproject.org> - 2.0.2-5
- Deploy a patch to fix FTBFS of startdde

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 04 19:37:05 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-2
- Update to new macros

* Fri May 10 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.2-1
- new version

* Wed Apr 17 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.1-1
- new version

* Thu Mar 28 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.0-1
- new version

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 19 2018 mosquito <sensor.wen@gmail.com> - 1.1.0-2
- Provides gobject-2.0 gio-2.0 glib-2.0 gudev-1.0

* Thu Nov  1 2018 mosquito <sensor.wen@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Fri Aug 17 2018 mosquito <sensor.wen@gmail.com> - 1.0.4-1
- Update to 1.0.4

* Mon Aug 06 2018 Zamir SUN <zsun@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.0.2-4
- Rebuild with fixed binutils

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 14 2017 mosquito <sensor.wen@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Thu Aug  3 2017 mosquito <sensor.wen@gmail.com> - 1.0.1-2
- Fix undefined type SettingsBackendLike

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 1.0.1-1.git9ee7058
- Update to 1.0.1

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 0.9.6-1.gitfe260d3
- Update to 0.9.6

* Wed Jan 04 2017 Jaroslav <cz.guardian@gmail.com> Stepanek 0.9.6-3
- Renamed package to deepin-go-gir-generator

* Sun Dec 18 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 0.9.6-2
- Changed lib path

* Fri Oct 28 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 0.9.6-1
- Compilation rework

* Thu Sep 29 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 0.9.5-2
- Compilation rework

* Sun Sep 18 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 0.9.5-1
- Initial package build

